Package org.bukkit.event.vehicle

# Class VehicleMoveEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent
org.bukkit.event.vehicle.VehicleMoveEvent

public class VehicleMoveEvent extends VehicleEvent
Raised when a vehicle moves.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.vehicle.VehicleEvent

`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleMoveEvent(@NotNull Vehicle vehicle, @NotNull Location from, @NotNull Location to)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Location`
`getFrom()`
Get the previous position.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getTo()`
Get the next position.

### Methods inherited from class org.bukkit.event.vehicle.VehicleEvent

`getVehicle`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VehicleMoveEvent

public VehicleMoveEvent(@NotNull @NotNull Vehicle vehicle, @NotNull @NotNull Location from, @NotNull @NotNull Location to)

## Method Details

### getFrom

@NotNull public @NotNull Location getFrom()
Get the previous position.

Returns:
  Old position.

### getTo

@NotNull public @NotNull Location getTo()
Get the next position.

Returns:
  New position.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()